From 6949a9fbe4dbfafa5299dc20e188fa3c3814014e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Elan=20Ruusam=C3=A4e?= <glen@delfi.ee>
Date: Sat, 11 May 2013 13:22:07 +0300
Subject: [PATCH] LinuxService: avoid enforcing systemd even if init.d script
 was found

---
 library/system/service | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/library/system/service b/library/system/service
index 28e98d1..02f4093 100644
--- a/library/system/service
+++ b/library/system/service
@@ -390,7 +390,7 @@ class LinuxService(Service):
                     break
 
         # Locate a tool for runtime service management (start, stop etc.)
-        self.svc_cmd = ''
+        self.svc_cmd = None
         if location.get('service', None) and os.path.exists("/etc/init.d/%s" % self.name):
             # SysV init script
             self.svc_cmd = location['service']
@@ -405,7 +405,7 @@ class LinuxService(Service):
                     self.svc_initscript = initscript
 
         # couldn't find anything yet, assume systemd
-        if self.svc_initscript is None:
+        if self.svc_cmd is None and self.svc_initscript is None:
             if location.get('systemctl'):
                 self.svc_cmd = location['systemctl']
 
-- 
1.8.1.6

